Bug 435049 - [backend EvolutionDataserver] beagled crashes or freezes.
[backend EvolutionDataserver] beagled crashes or freezes.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-sharp (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-26 19:28 EST by sangu
Modified: 2009-07-15 04:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:17:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 519284 None None None Never

  None (edit)
Description sangu 2008-02-26 19:28:44 EST
Description of problem:
[beagle] Searching in gtkfilechooser -> gtk2 application freezes.

(gdb) bt
#0  0x00131402 in __kernel_vsyscall ()
#1  0x0028e3b8 in connect () from /lib/libpthread.so.0
#2  0x01504728 in beagle_util_daemon_is_running () at beagle-util.c:173
#3  0x0059d28f in _gtk_search_engine_beagle_new ()
    at gtksearchenginebeagle.c:399
#4  0x0059c3d1 in _gtk_search_engine_new () at gtksearchengine.c:119
#5  0x00658723 in search_start_query (impl=0x878f1e0, 
    query_text=0x881cd58 "gnome") at gtkfilechooserdefault.c:9273
#6  0x006588ef in search_entry_activate_cb (entry=0x8437dc0, data=0x878f1e0)
    at gtkfilechooserdefault.c:9323
#7  0x00cf5044 in IA__g_cclosure_marshal_VOID__VOID (closure=0x8999d88, 
    return_value=0x0, n_param_values=1, param_values=0x880a280, 
    invocation_hint=0xbfa277cc, marshal_data=0x65887c) at gmarshal.c:77
#8  0x00ce715b in IA__g_closure_invoke (closure=0x8999d88, return_value=0x0, 
    n_param_values=1, param_values=0x880a280, invocation_hint=0xbfa277cc)
    at gclosure.c:490
#9  0x00cfdb3d in signal_emit_unlocked_R (node=0x84a5810, detail=0, 
    instance=0x8437dc0, emission_return=0x0, instance_and_params=0x880a280)
    at gsignal.c:2440
#10 0x005ba60f in gtk_binding_entry_activate (entry=0x84aba40, 
    object=0x8437dc0) at gtkbindings.c:536
#11 0x005bb589 in binding_match_activate (pspec_list=0x899a2d0, 
    object=0x8437dc0, path_length=8, path=0x8828fa8 "GtkEntry", 
---Type <return> to continue, or q <return> to quit---
    path_reversed=0x899b170 "yrtnEktG", unbound=0xbfa278f8)
    at gtkbindings.c:1100
#12 0x005bb928 in gtk_bindings_activate_list (object=0x8437dc0, 
    entries=0x899a2c8, is_release=0) at gtkbindings.c:1245
#13 0x005bbca9 in IA__gtk_bindings_activate_event (object=0x8437dc0, 
    event=0x8999070) at gtkbindings.c:1338
#14 0x0083f557 in gtk_widget_real_key_press_event (widget=0x8437dc0, 
    event=0x8999070) at gtkwidget.c:4415
#15 0x0062d77a in gtk_entry_key_press (widget=0x8437dc0, event=0x8999070)
    at gtkentry.c:2066
#16 0x006cd322 in _gtk_marshal_BOOLEAN__BOXED (closure=0x8351be0, 
    return_value=0xbfa27be0, n_param_values=2, param_values=0xbfa27c98, 
    invocation_hint=0xbfa27bcc, marshal_data=0x62d668) at gtkmarshalers.c:84
#17 0x00ce58d9 in g_type_class_meta_marshal (closure=0x8351be0, 
    return_value=0xbfa27be0, n_param_values=2, param_values=0xbfa27c98, 
    invocation_hint=0xbfa27bcc, marshal_data=0xcc) at gclosure.c:567
#18 0x00ce7088 in IA__g_closure_invoke (closure=0x8351be0, 
    return_value=0xbfa27be0, n_param_values=2, param_values=0xbfa27c98, 
    invocation_hint=0xbfa27bcc) at gclosure.c:490
#19 0x00cfd7e5 in signal_emit_unlocked_R (node=0x8351e20, detail=0, 
    instance=0x8437dc0, emission_return=0xbfa27e58, 
    instance_and_params=0xbfa27c98) at gsignal.c:2478
#20 0x00cff128 in IA__g_signal_emit_valist (instance=0x8437dc0, signal_id=56, 
---Type <return> to continue, or q <return> to quit---
    detail=0, var_args=0xbfa27eb0 "�~��\t") at gsignal.c:2209
#21 0x00cff716 in IA__g_signal_emit (instance=0x8437dc0, signal_id=56, 
    detail=0) at gsignal.c:2243
#22 0x0083fb90 in gtk_widget_event_internal (widget=0x8437dc0, event=0x8999070)
    at gtkwidget.c:4678
#23 0x0083f6b8 in IA__gtk_widget_event (widget=0x8437dc0, event=0x8999070)
    at gtkwidget.c:4478
#24 0x00852661 in IA__gtk_window_propagate_key_event (window=0x87e00e0, 
    event=0x8999070) at gtkwindow.c:4936
#25 0x00852729 in gtk_window_key_press_event (widget=0x87e00e0, 
    event=0x8999070) at gtkwindow.c:4966
#26 0x006cd322 in _gtk_marshal_BOOLEAN__BOXED (closure=0x8351be0, 
    return_value=0xbfa28170, n_param_values=2, param_values=0xbfa28228, 
    invocation_hint=0xbfa2815c, marshal_data=0x8526d7) at gtkmarshalers.c:84
#27 0x00ce58d9 in g_type_class_meta_marshal (closure=0x8351be0, 
    return_value=0xbfa28170, n_param_values=2, param_values=0xbfa28228, 
    invocation_hint=0xbfa2815c, marshal_data=0xcc) at gclosure.c:567
#28 0x00ce715b in IA__g_closure_invoke (closure=0x8351be0, 
    return_value=0xbfa28170, n_param_values=2, param_values=0xbfa28228, 
    invocation_hint=0xbfa2815c) at gclosure.c:490
#29 0x00cfd7e5 in signal_emit_unlocked_R (node=0x8351e20, detail=0, 
    instance=0x87e00e0, emission_return=0xbfa283e8, 
    instance_and_params=0xbfa28228) at gsignal.c:2478
---Type <return> to continue, or q <return> to quit---
#30 0x00cff128 in IA__g_signal_emit_valist (instance=0x87e00e0, signal_id=56, 
    detail=0, var_args=0xbfa28440 "\\\204��\t") at gsignal.c:2209
#31 0x00cff716 in IA__g_signal_emit (instance=0x87e00e0, signal_id=56, 
    detail=0) at gsignal.c:2243
#32 0x0083fb90 in gtk_widget_event_internal (widget=0x87e00e0, event=0x8999070)
    at gtkwidget.c:4678
#33 0x0083f6b8 in IA__gtk_widget_event (widget=0x87e00e0, event=0x8999070)
    at gtkwidget.c:4478
#34 0x006cb88f in IA__gtk_propagate_event (widget=0x87e00e0, event=0x8999070)
    at gtkmain.c:2310
#35 0x006ca3c9 in IA__gtk_main_do_event (event=0x8999070) at gtkmain.c:1556
#36 0x00af222c in gdk_event_dispatch (source=0x832a0e0, callback=0, 
    user_data=0x0) at gdkevents-x11.c:2351
#37 0x00d570b8 in IA__g_main_context_dispatch (context=0x832a128)
    at gmain.c:2065
#38 0x00d5a763 in g_main_context_iterate (context=0x832a128, block=1, 
    dispatch=1, self=0x82fd278) at gmain.c:2698
#39 0x00d5ac82 in IA__g_main_loop_run (loop=0x8794e20) at gmain.c:2906
#40 0x006c9af1 in IA__gtk_main () at gtkmain.c:1163
#41 0x08064f24 in main (argc=1, argv=0xbfa287c4) at gedit.c:586

Version-Release number of selected component (if applicable):
2.12.8-2.fc9

How reproducible:


Steps to Reproduce:
1. Launch gedit
2. Click open dialog button
3. Search
  
Actual results:


Expected results:


Additional info:
beagle-0.3.3-8.fc9.i386
libbeagle-0.3.0-4.fc9.i386
gedit-2.21.2-1.fc9.i386
Comment 1 Matthias Clasen 2008-02-28 01:10:17 EST
Hmm, this seems to work here.

Did beagled run when this happened ?
Comment 2 sangu 2008-02-28 08:40:18 EST
beagled --fg --debug, query in gtkfilechooser
$beagled --fg --debug
[Debug: Parsed query 'gnome' as text_query
Debug: Parsed query 'type:File' as prop query:key=beagle:HitType, value=File and
property type=Keyword

*** glibc detected *** beagled: double free or corruption (fasttop): 0x09d3b8a0 ***
======= Backtrace: =========
/lib/libc.so.6[0x2ffef4]
/lib/libc.so.6(cfree+0x96)[0x301f56]
/lib/libglib-2.0.so.0(g_free+0x36)[0x19a396]
[0x7106e8e]
[0x5597bd9]
[0x5597b63]
[0x559747a]
[0x559725a]
[0x55971f4]
[0x5596da3]
[0x5596807]
[0x5596413]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__POINTER+0x9a)[0x518610a]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x517815b]
/lib/libgobject-2.0.so.0[0x518f080]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x800)[0x5190270]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x5190716]
/usr/lib/libecal-1.2.so.7[0x178ce99]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__POINTER+0x9a)[0x518610a]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x517815b]
/lib/libgobject-2.0.so.0[0x518eb3d]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x800)[0x5190270]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x5190716]
/usr/lib/libecal-1.2.so.7[0x178d60b]
/usr/lib/libecal-1.2.so.7(_ORBIT_skel_small_GNOME_Evolution_Calendar_CalViewListener_notifyObjectsAdded+0x1f)[0x1766b0f]
/usr/lib/libORBit-2.so.0[0x1d88d27]
/usr/lib/libORBit-2.so.0(ORBit_OAObject_invoke+0x35)[0x1d8f235]
/usr/lib/libORBit-2.so.0(ORBit_small_invoke_adaptor+0xfe)[0x1d7b47e]
/usr/lib/libORBit-2.so.0[0x1d8cd49]
/usr/lib/libORBit-2.so.0[0x1d8d422]
/usr/lib/libORBit-2.so.0(giop_thread_queue_process+0x135)[0x1d73a45]
/usr/lib/libORBit-2.so.0(giop_recv_buffer_get+0x1ad)[0x1d76dfd]
/usr/lib/libORBit-2.so.0(ORBit_small_invoke_stub+0x126)[0x1d7be86]
/usr/lib/libORBit-2.so.0(ORBit_small_invoke_stub_n+0x79)[0x1d7c0b9]
/usr/lib/libORBit-2.so.0(ORBit_c_stub_invoke+0x18a)[0x1d88faa]
/usr/lib/libbonobo-activation.so.4(Bonobo_ActivationContext_activateMatchingFull+0x8a)[0x151a5ca]
/usr/lib/libbonobo-activation.so.4(bonobo_activation_activate+0x90)[0x151cf70]
/usr/lib/libbonobo-activation.so.4(bonobo_activation_activate_from_id+0x168)[0x151d1f8]
/usr/lib/libecal-1.2.so.7(e_cal_new+0x285)[0x176cf55]
[0x559582e]
[0x55957a8]
[0x5595651]
[0x559350b]
[0x5590444]
[0x558fbea]
[0x558f926]
[0x558f899]
[0x699875f]
[0x9cf7441]
/lib/libglib-2.0.so.0[0x1901c1]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8)[0x1920b8]
/lib/libglib-2.0.so.0[0x195763]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1d2)[0x195c82]
[0x6998711]
[0x69986d6]
[0x9fa0f6]
[0x9f947d]
[0x9f91c3]
beagled(mono_runtime_exec_main+0xb6)[0x809a726]
beagled(mono_runtime_run_main+0x16d)[0x809ad4d]
beagled(mono_main+0x623)[0x8058b53]
beagled[0x8058042]
/lib/libc.so.6(__libc_start_main+0xe6)[0x2a7516]
======= Memory map: ========
00001000-000f3000 rwxp 00001000 00:00 0 
00110000-0012f000 r-xp 00000000 08:09 7156926    /lib/ld-2.7.90.so
0012f000-00130000 r-xp 0001e000 08:09 7156926    /lib/ld-2.7.90.so
00130000-00131000 rwxp 0001f000 08:09 7156926    /lib/ld-2.7.90.so
00131000-00132000 r-xp 00131000 00:00 0          [vdso]
00132000-00147000 rwxp 00132000 00:00 0 
00147000-00148000 --xp 00147000 00:00 0 
00148000-0014b000 rwxp 00148000 00:00 0 
0014c000-00150000 r-xp 00000000 08:09 7163737    /lib/libgthread-2.0.so.0.1506.0
00150000-00151000 rwxp 00003000 08:09 7163737    /lib/libgthread-2.0.so.0.1506.0
00151000-00159000 r-xp 00000000 08:09 7155455    /lib/librt-2.7.90.so
00159000-0015a000 r-xp 00007000 08:09 7155455    /lib/librt-2.7.90.so
0015a000-0015b000 rwxp 00008000 08:09 7155455    /lib/librt-2.7.90.so
0015b000-00239000 r-xp 00000000 08:09 7157975    /lib/libglib-2.0.so.0.1506.0
00239000-0023a000 rwxp 000de000 08:09 7157975    /lib/libglib-2.0.so.0.1506.0
0023a000-0023d000 r-xp 00000000 08:09 7155345    /lib/libdl-2.7.90.so
0023d000-0023e000 r-xp 00002000 08:09 7155345    /lib/libdl-2.7.90.so
0023e000-0023f000 rwxp 00003000 08:09 7155345    /lib/libdl-2.7.90.so
0023f000-00255000 r-xp 00000000 08:09 7155325    /lib/libpthread-2.7.90.so
00255000-00256000 r-xp 00015000 08:09 7155325    /lib/libpthread-2.7.90.so
00256000-00257000 rwxp 00016000 08:09 7155325    /lib/libpthread-2.7.90.so
00257000-00259000 rwxp 00257000 00:00 0 
00259000-00280000 r-xp 00000000 08:09 7155357    /lib/libm-2.7.90.so
00280000-00281000 r-xp 00026000 08:09 7155357    /lib/libm-2.7.90.so
00281000-00282000 rwxp 00027000 08:09 7155357    /lib/libm-2.7.90.so
00282000-00283000 rwxp 00282000 00:00 0 
00283000-00290000 r-xp 00000000 08:09 7155224    /lib/libgcc_s-4.3.0-20080222.so.1
00290000-00291000 rwxp 0000c000 08:09 7155224    /lib/libgcc_s-4.3.0-20080222.so.1
00291000-003fa000 r-xp 00000000 08:09 7155280    /lib/libc-2.7.90.so
003fa000-003fc000 r-xp 00169000 08:09 7155280    /lib/libc-2.7.90.so
003fc000-003fd000 rwxp 0016b000 08:09 7155280    /lib/libc-2.7.90.so
003fd000-00400000 rwxp 003fd000 00:00 0 
00400000-0041a000 r-xp 00000000 08:09 7164256    /lib/libselinux.so.1
0041a000-0041b000 r-xp 00019000 08:09 7164256    /lib/libselinux.so.1
0041b000-0041c000 rwxp 0001a000 08:09 7164256    /lib/libselinux.so.1
0041c000-0041e000 rwxp 0041c000 00:00 0 
0041e000-0061e000 r-xp 00000000 08:09 7654741    /usr/lib/locale/locale-archive
0061e000-0074f000 r-xp 0360d000 08:09 7654741    /usr/lib/locale/locale-archive
0074f000-00756000 r-xp 00000000 08:09 921569     /usr/lib/beagle/BeagleDaemon.exe
00756000-009c5000 r-xp 00000000 08:09 7883320    /usr/lib/mono/2.0/mscorlib.dll
009c5000-009e8000 r-xp 00000000 08:09 1993824   
/usr/share/locale/ko/LC_MESSAGES/libc.mo
009e8000-009ef000 r-xs 00000000 08:09 3169642    /usr/lib/gconv/gconv-modules.cache
009ef000-009f9000 r-xp 00000000 08:09 7718065   
/usr/share/locale/ko/LC_MESSAGES/glib20.mo
009f9000-00a0d000 rwxp 009f9000 00:00 0 
00a0d000-00a0f000 r-xp 00000000 08:09 4606961    /usr/lib/libXss.so.1.0.0
00a0f000-00a10000 rwxp 00001000 08:09 4606961    /usr/lib/libXss.so.1.0.0
00a10000-00a11000 r-xp 00000000 08:09 7650954    /usr/lib/libxcb-xlib.so.0.0.0
00a11000-00a12000 rwxp 00000000 08:09 7650954    /usr/lib/libxcb-xlib.so.0.0.0
00a12000-00a1d000 r-xp 00000000 08:09 7155388    /lib/libnss_files-2.7.90.so
00a1d000-00a1e000 r-xp 0000a000 08:09 7155388    /lib/libnss_files-2.7.90.so
00a1e000-00a1f000 rwxp 0000b000 08:09 7155388    /lib/libnss_files-2.7.90.so
00a1f000-00a8c000 rwxp 00a1f000 00:00 0 
00a8c000-00bc5000 rwxs 00000000 08:09 424740    
/home/sangu/.wapi/shared_data-localhost.localdomain-Linux-i686-312-11-0
00bc5000-00f4a000 rwxs 00000000 08:09 424760    
/home/sangu/.wapi/shared_fileshare-localhost.localdomain-Linux-i686-36-11-0
00f4a000-00f53000 --xp 00f4a000 00:00 0 
00f53000-0104b000 rwxp 00f53000 00:00 0 
0104b000-010b0000 r-xp 00000000 08:09 921263     /usr/lib/beagle/Util.dll
010b0000-011f8000 r-xp 00000000 08:09 7645679    /usr/lib/libxml2.so.2.6.31
011f8000-011fe000 rwxp 00147000 08:09 7645679    /usr/lib/libxml2.so.2.6.31
011fe000-01224000 r-xp 00000000 08:09 7657431    /usr/lib/libpng12.so.0.24.0
01224000-01225000 rwxp 00026000 08:09 7657431    /usr/lib/libpng12.so.0.24.0
01225000-01238000 r-xp 00000000 08:09 7155329    /lib/libz.so.1.2.3
01238000-01239000 rwxp 00012000 08:09 7155329    /lib/libz.so.1.2.3
01239000-01246000 r-xp 00000000 08:09 7547270   
/usr/lib/beagle/Backends/EvolutionBackends.dll
01246000-01256000 rwxp 01246000 00:00 0 
01256000-0126a000 r-xp 00000000 08:09 1993064   
/usr/lib/mono/gac/gmime-sharp/2.2.0.0__677013d4cb5910f0/gmime-sharp.dll
0126a000-01352000 rwxp 0126a000 00:00 0 
01353000-01363000 rwxp 01353000 00:00 0 
01363000-0136c000 --xp 01363000 00:00 0 
0136c000-01478000 rwxp 0136c000 00:00 0 
0147c000-0147f000 r-xp 00000000 08:09 7718621   
/usr/share/locale/ko/LC_MESSAGES/libbonobo-2.0.mo
01495000-0149a000 r-xp 00000000 08:09 7660058    /usr/lib/libevolutionglue.so
0149a000-0149b000 rwxp 00004000 08:09 7660058    /usr/lib/libevolutionglue.so
0149b000-014b0000 r-xp 00000000 08:09 7656799    /usr/lib/libgnome-2.so.0.2189.1
014b0000-014b1000 rwxp 00014000 08:09 7656799    /usr/lib/libgnome-2.so.0.2189.1
014b1000-014d9000 r-xp 00000000 08:09 7654881   
/usr/lib/libedataserver-1.2.so.9.1.0
014d9000-014da000 rwxp 00028000 08:09 7654881   
/usr/lib/libedataserver-1.2.so.9.1.0
014da000-0150e000 r-xp 00000000 08:09 7645957    /usr/lib/libgconf-2.so.4.1.5
0150e000-01511000 rwxp 00033000 08:09 7645957    /usr/lib/libgconf-2.so.4.1.5
01511000-01525000 r-xp 00000000 08:09 7656795   
/usr/lib/libbonobo-activation.so.4.0.0
01525000-01527000 rwxp 00014000 08:09 7656795   
/usr/lib/libbonobo-activation.so.4.0.0
01528000-01538000 rwxp 01528000 00:00 0 
01538000-01541000 --xp 01538000 00:00 0 
01541000-01639000 rwxp 01541000 00:00 0 
01639000-0163c000 r-xp 00000000 08:09 7157984    /lib/libgmodule-2.0.so.0.1506.0
0163c000-0163d000 rwxp 00002000 08:09 7157984    /lib/libgmodule-2.0.so.0.1506.0
0163f000-01643000 rwxp 0163f000 00:00 0 
01643000-0164c000 --xp 016430Stacktrace:

  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_marshal_free
(intptr) <0x00004>
  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_marshal_free
(intptr) <0xffffffff>
  at (wrapper managed-to-native) Evolution.CalComponent.e_cal_component_get_uid
(intptr,string&) <0xffffffff>
  at Evolution.CalComponent.get_Uid () <0x0002a>
  at Beagle.Daemon.EvolutionDataServerQueryable.CalContainer.EventToIndexable
(Evolution.CalComponent) <0x001a9>
  at
Beagle.Daemon.EvolutionDataServerQueryable.CalContainer.CalComponentToIndexable
(Evolution.CalComponent) <0x00029>
  at Beagle.Daemon.EvolutionDataServerQueryable.CalContainer.AddCalComponent
(Evolution.CalComponent) <0x00013>
  at Beagle.Daemon.EvolutionDataServerQueryable.CalContainer.OnObjectsAdded
(object,Evolution.ObjectsAddedArgs) <0x000c2>
  at Evolution.CalView.ObjectsAddedSignalCallback (intptr,intptr,intptr) <0x0011e>
  at (wrapper native-to-managed) Evolution.CalView.ObjectsAddedSignalCallback
(intptr,intptr,intptr) <0xffffffff>
  at (wrapper managed-to-native) Evolution.Cal.e_cal_new (intptr,int) <0x00004>
  at (wrapper managed-to-native) Evolution.Cal.e_cal_new (intptr,int) <0xffffffff>
  at Evolution.Cal..ctor (Evolution.Source,Evolution.CalSourceType) <0x00057>
  at Beagle.Daemon.EvolutionDataServerQueryable.CalContainer.OpenClient () <0x000b0>
  at Beagle.Daemon.EvolutionDataServerQueryable.SourcesHandler.IndexSourceGroup
(Evolution.SourceGroup,bool) <0x0016a>
  at Beagle.Daemon.EvolutionDataServerQueryable.SourcesHandler..ctor
(string,System.Type,Beagle.Daemon.EvolutionDataServerQueryable.EvolutionDataServerQueryable,string,object[])
<0x0020b>
  at
Beagle.Daemon.EvolutionDataServerQueryable.EvolutionDataServerQueryable.ConnectToEDS
() <0x001d1>
  at
Beagle.Daemon.EvolutionDataServerQueryable.EvolutionDataServerQueryable.StartWorker
() <0x00075>
  at <>c__CompilerGenerated0.<Start>c__1 () <0x00010>
  at IdleProxy.Handler () <0x0002e>
  at (wrapper native-to-managed) IdleProxy.Handler () <0xffffffff>
  at (wrapper managed-to-native) GLib.MainLoop.g_main_loop_run (intptr) <0x00004>
  at (wrapper managed-to-native) GLib.MainLoop.g_main_loop_run (intptr) <0xffffffff>
  at GLib.MainLoop.Run () <0x0000d>
  at Beagle.Daemon.BeagleDaemon.DoMain (string[]) <0x00b0d>
  at Beagle.Daemon.BeagleDaemon.Main (string[]) <0x00014>
  at (wrapper runtime-invoke)
Beagle.Daemon.BeagleDaemon.runtime_invoke_void_string[]
(object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

	beagled [0x817932e]
	[0x131440]
	[0x131402]
	/lib/libc.so.6(gsignal+0x50) [0x2bc420]
	/lib/libc.so.6(abort+0x188) [0x2bdde8]
	/lib/libc.so.6 [0x2f9c1d]
	/lib/libc.so.6 [0x2ffef4]
	/lib/libc.so.6(cfree+0x96) [0x301f56]
	/lib/libglib-2.0.so.0(g_free+0x36) [0x19a396]
	[0x7106e8e]
	[0x5597bd9]
	[0x5597b63]
	[0x559747a]
	[0x559725a]
	[0x55971f4]
	[0x5596da3]
	[0x5596807]
	[0x5596413]
	/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__POINTER+0x9a) [0x518610a]
	/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab) [0x517815b]
	/lib/libgobject-2.0.so.0 [0x518f080]
	/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x800) [0x5190270]
	/lib/libgobject-2.0.so.0(g_signal_emit+0x26) [0x5190716]
	/usr/lib/libecal-1.2.so.7 [0x178ce99]
	/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__POINTER+0x9a) [0x518610a]
	/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab) [0x517815b]
	/lib/libgobject-2.0.so.0 [0x518eb3d]
	/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x800) [0x5190270]
	/lib/libgobject-2.0.so.0(g_signal_emit+0x26) [0x5190716]
	/usr/lib/libecal-1.2.so.7 [0x178d60b]
	/usr/lib/libecal-1.2.so.7(_ORBIT_skel_small_GNOME_Evolution_Calendar_CalViewListener_notifyObjectsAdded+0x1f) [0x1766b0f]
	/usr/lib/libORBit-2.so.0 [0x1d88d27]
	/usr/lib/libORBit-2.so.0(ORBit_OAObject_invoke+0x35) [0x1d8f235]
	/usr/lib/libORBit-2.so.0(ORBit_small_invoke_adaptor+0xfe) [0x1d7b47e]
	/usr/lib/libORBit-2.so.0 [0x1d8cd49]
	/usr/lib/libORBit-2.so.0 [0x1d8d422]
	/usr/lib/libORBit-2.so.0(giop_thread_queue_process+0x135) [0x1d73a45]
	/usr/lib/libORBit-2.so.0(giop_recv_buffer_get+0x1ad) [0x1d76dfd]
	/usr/lib/libORBit-2.so.0(ORBit_small_invoke_stub+0x126) [0x1d7be86]
	/usr/lib/libORBit-2.so.0(ORBit_small_invoke_stub_n+0x79) [0x1d7c0b9]
	/usr/lib/libORBit-2.so.0(ORBit_c_stub_invoke+0x18a) [0x1d88faa]
	/usr/lib/libbonobo-activation.so.4(Bonobo_ActivationContext_activateMatchingFull+0x8a) [0x151a5ca]
	/usr/lib/libbonobo-activation.so.4(bonobo_activation_activate+0x90) [0x151cf70]
	/usr/lib/libbonobo-activation.so.4(bonobo_activation_activate_from_id+0x168)
[0x151d1f8]
	/usr/lib/libecal-1.2.so.7(e_cal_new+0x285) [0x176cf55]
	[0x559582e]
	[0x55957a8]
	[0x5595651]
	[0x559350b]
	[0x5590444]
	[0x558fbea]
	[0x558f926]
	[0x558f899]
	[0x699875f]
	[0x9cf7441]
	/lib/libglib-2.0.so.0 [0x1901c1]
	/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8) [0x1920b8]
	/lib/libglib-2.0.so.0 [0x195763]
	/lib/libglib-2.0.so.0(g_main_loop_run+0x1d2) [0x195c82]
	[0x6998711]
	[0x69986d6]
	[0x9fa0f6]
	[0x9f947d]
	[0x9f91c3]
	beagled(mono_runtime_exec_main+0xb6) [0x809a726]
	beagled(mono_runtime_run_main+0x16d) [0x809ad4d]
	beagled(mono_main+0x623) [0x8058b53]
	beagled [0x8058042]
	/lib/libc.so.6(__libc_start_main+0xe6) [0x2a7516]
	beagled [0x8057f81]


Comment 3 sangu 2008-02-28 10:31:04 EST
http://bugzilla.gnome.org/show_bug.cgi?id=519284
[Quote]
 at (wrapper managed-to-native)
System.Object.__icall_wrapper_mono_marshal_free (intptr) <0x00004>
  at (wrapper managed-to-native)
System.Object.__icall_wrapper_mono_marshal_free (intptr) <0xffffffff>
  at (wrapper managed-to-native) Evolution.CalComponent.e_cal_component_get_uid
(intptr,string&) <0xffffffff>
  at Evolution.CalComponent.get_Uid () <0x0002a>

Crash in evolution-sharp. Re-assigning. It could be due to some incompatibility
between evo-sharp 0.15.91 and mono-1.9-preview1.
[/Quote]

Please rebuild evolution-sharp or update evolution-sharp 0.15.92 for mono-1.9?
Comment 4 Matthew Barnes 2008-02-28 10:50:23 EST
Package built:
http://koji.fedoraproject.org/packages/evolution-sharp/0.15.92/1.fc9/

Please retest and close if this fixes the issue.
Comment 5 sangu 2008-03-05 09:41:27 EST
See Also : http://bugzilla.gnome.org/show_bug.cgi?id=519284#c6
Comment 6 Dominik Sandjaja 2008-04-23 08:13:46 EDT
As this is still not fixed upstream, what about packaging beagle with the
EvolutionDataServer backend disabled, until this is fixed? It really is annoying
to not be able to use beagle with its default installation.

BTW, it still happens with evolution-sharp-0.16.0-1.fc9.i386
Comment 7 Bug Zapper 2009-06-09 19:38:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-15 04:17:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.